package dao

import (
	"time"

	"git.tek.govt.hu/dowerx/chat/server/model"
	"git.tek.govt.hu/dowerx/chat/server/util"
)

type IMessageDAO interface {
	Create(message model.Message) (int, *util.ChatError)
	Read(id int) (model.Message, *util.ChatError)
	List(channel model.Channel, from time.Time, limit int) ([]model.Message, *util.ChatError)
	Update(message model.Message) *util.ChatError
	Delete(id int) *util.ChatError
}
